/*
  Name: menues.cpp
  Copyright: Polecatsoft 2005
  Author: Deathlord
  Date: 17.06.05 23:19
  Description: Menues for all kinds of opportunities
*/

#include "StdAfx.h"
#include "MenuMainPic.h"
#include "MenuCCPic.h"

CT menu::mainMenu()
{
	keyStates.anyKey();
	CT retVal = CT_EXIT;
	BITMAP *m_back = tga_from_char_ex(imgMenuMainPic);//load_bitmap("gfx/MenuMainPic.tga", NULL);
	if(!m_back)
		error::loadBit("gfx/MenuMainPic.tga");
	BITMAP *cc_back = tga_from_char_ex(imgMenuCCPic);//load_bitmap("gfx/MenuCChoserBack.tga", NULL);
	if(!cc_back)
		error::loadBit("gfx/MenuCChoserBack.tga");
		
	bool finished = false;
	int menu_pos = 0;
	int chosercol = makecol16(255, 0, 0);
	int focus = 0;
	
	//main menu objects
	int m_x1[2], m_x2[2], m_y1[2], m_y2[2]; // [0]button newgame; [1]button endgame
	m_x1[0] = 100;
	m_x2[0] = 300;
	m_y1[0] = 370;
	m_y2[0] = 430;
	m_x1[1] = 340;
	m_x2[1] = 540;
	m_y1[1] = 370;
	m_y2[1] = 430;
	
	//character choser objects
	int cc_x1[4], cc_x2[4], cc_y1[4], cc_y2[4]; //[0] char1 [1] char2 etc.
	cc_x1[0] = 20;
	cc_x2[0] = 155;
	cc_y1[0] = 190;
	cc_y2[0] = 220;
	cc_x1[1] = 165;
	cc_x2[1] = 310;
	cc_y1[1] = 190;
	cc_y2[1] = 220;
	cc_x1[2] = 330;
	cc_x2[2] = 465;
	cc_y1[2] = 190;
	cc_y2[2] = 220;
	cc_x1[3] = 475;
	cc_x2[3] = 620;
	cc_y1[3] = 190;
	cc_y2[3] = 220;
	
	while(finished == false)
	{
		switch(menu_pos)
		{
			case 0: //main menu
				{
					finished = false;
					//logic
					if(keyStates[KEY_LEFT])
					{
							focus = 0;
					}
					if(keyStates[KEY_RIGHT])
					{
						    focus = 1;
					}
					if(keyStates[KEY_ENTER])
					{
						if(focus == 0)
						{
							menu_pos = 1; //switch to character choser
						}
						else
						{
							retVal = CT_EXIT; //end loop, return: end game
							finished = true;
						}
					}
					
					//graphics
					blit(m_back, global::dbuffer, 0, 0, 0, 0, 640, 480);
					rect(global::dbuffer, m_x1[focus], m_y1[focus], m_x2[focus],
						m_y2[focus], chosercol);
					break;
				}
			case 1: //character choser
				{
					finished = false;
					//logic
					if(keyStates[KEY_ESC])
					{
						menu_pos = 0; //resume to main menu
						focus = 0;
					}
					if(keyStates[KEY_LEFT])
					{
						if(focus == 0)
						    focus = 3;
						else
							--focus;
					}
					if(keyStates[KEY_RIGHT])
					{
						if(focus == 3)
						    focus = 0;
						else
							++focus;
					}
					if(keyStates[KEY_ENTER])
					{
						switch(focus)
						{
							case 0:
								{
									return CT_SPRING;
									break;
								}
							case 1:
								{
									return CT_SUMMER;
									break;
								}
							case 2:
								{
									return CT_FALL;
									break;
								}
							case 3:
								{
									return CT_WINTER;
									break;
								}
						}
						finished = true;
					}
					//graphics
					blit(cc_back, global::dbuffer, 0, 0, 0, 0, 640, 480);
					rect(global::dbuffer, cc_x1[focus], cc_y1[focus], cc_x2[focus],
						cc_y2[focus], chosercol);
					break;
				}
		}
		show();
	}
	return retVal;
}
