/*
  Name: unit.h
  Copyright: Polecatsoft 2005
  Author: Master Lenman
  Date: 17.06.05 23:56
  Description: This class stores information about the weazard
*/

#ifndef UNIT_H
#define UNIT_H

class unit
{
private:
	std::string name;
	CT type;
	bool active;
public:
	inline unit()
	{
		active = true;
	}
	void setValues(const std::string NAME, const CT TYPE);
	//Puts the unit on the new position, won should be true if the unit has won
	void move(bool won);
	int getPosition();
	CT getType();
	std::string getName();
};

class fightUnit
{
public:
	int life;
	int mana;
	int attack[3];
	int attackMana[3];
	inline fightUnit()
	{
		life = 100;
		mana = 20;
		for(int i = 0; i < 3; ++i)
		{
			attack[i] = -1;
			attackMana[i] = 0;
		}
	}
};

#endif
